Bug 179811 - frysk dies after a few seconds
frysk dies after a few seconds
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: frysk (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Cagney
:
Depends On: 179228
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-02 23:08 EST by Glen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 14:43:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 2288 None None None Never

  None (edit)
Description Glen 2006-02-02 23:08:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060202 Fedora/1.5.0.1-2 Firefox/1.5.0.1

Description of problem:
I fire up frysk.  Try and play with it and it disappears.  If I run it from a terminal it spits out this:

[decker@cheetah ~]$ frysk
Found subnode: /theManager
Found subnode: /theManager/logWindow
Found subnode: /theManager/mainWindow
Key: size.width Value: 640
Key: size.height Value: 480
Key: position.y Value: 0
Key: position.x Value: 0
Found subnode: /theManager/mainWindow/allProcWidget
Key: vPane.position Value: 365
Found subnode: /theManager/programAddWindow
Key: size.width Value: 500
Key: size.height Value: 480
Key: position.y Value: 0
Key: position.x Value: 0
Exception in thread "main" java.lang.NullPointerException
*** Got java.lang.NullPointerException while trying to print stack trace.
[decker@cheetah ~]$

Version-Release number of selected component (if applicable):
frysk-0.0.1.2006.01.22-0.FC5.0

How reproducible:
Always

Steps to Reproduce:
1. Fire up frysk
2. Play with it for a few seconds.
3.
  

Actual Results:  Frysk disappears.

Expected Results:  I should be able to play with frysk a bit.

Additional info:
Comment 1 Adam Jocksch 2006-02-06 10:44:56 EST
I've been able to reproduce this using the FC5 rpm. This is mostly likely an
issue with the beehive build environment, as building frysk from cvs or srpm
locally does not result in the same issue. For the time being I would recommend
one of these options until this is sorted out. More info on building from cvs at
http://sourceware.org/frysk/build/
Comment 2 Andrew Cagney 2006-02-06 15:54:30 EST
add upstream tracker
Comment 3 Adam Jocksch 2006-02-06 16:01:13 EST
Correction: The FC5 rpm built locally from the srpm also seems to crash, but not
immediately. Building from CVS is the best way to run frysk at this time
Comment 4 Andrew Cagney 2006-02-08 12:14:27 EST
There appear to be two problems here:
- something killing frysk out-right
- something causing gc to hang, the latter bug's added to this's dependencies
(also doing same upstream)
Comment 5 Adam Jocksch 2006-02-09 13:31:35 EST
A new rpm has been pushed through beehive that should fix this problem.
Comment 6 Andrew Cagney 2006-02-13 14:43:41 EST
The instant crash is understood to have been a transient problem with the build,
fixed with the push through of the latest GCJ compiler.

Note You need to log in before you can comment on or make changes to this bug.